{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":461,"path":"api-reference/rest-apis/ap-invoice-api.md","title":"AP Invoice API","bundle":null,"doc_type":null,"release":"australia","body":"\n# AP Invoice API\n\nAllows external systems, such as those used by vendors, to securely submit invoices directly into an accounts payable system in a structured and automated manner.\n\nThis API requires the Accounts Payable Invoice Processing \\(com.sn\\_ap\\_apm\\) and Source-to-Pay Integration Framework \\(sn\\_spend\\_intg\\) applications, which are available on the ServiceNow Store. For information, see [Accounts Payable Invoice Processing](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/acc-pay-invoice-processing.md).\n\nRefer to [AP Invoice API Developer Guide](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md) for help with the following tasks:\n\n-   Define a custom field for invoices, invoice lines, and invoice tax lines.\n-   Map the custom field between source and target tables.\n-   Map the custom field to a payload entry in a specific format, such as JSON, cXML, or XML.\n-   Setting credentials for authentication when using cXML as the payload.\n\nYou can apply a filter condition for invoice lines containing multiple ERPs. For information, see [Integration errors](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/integration-errors-during-erp-posting.md).\n\n**Note:** The maximum default payload size is 100 records. This value is configurable in the **sn\\_spend\\_intg.ap.invoice.create.api.record\\_limit** system property.\n\n-   **Invoice attachments**\n\n    The XML and JSON endpoints support attachments at the invoice, invoice line, and invoice case levels. The cXML endpoint does not support attachments.\n\n    Use the following guidelines for attachments:\n\n    -   Do not use the reserved \"SD\\_\" prefix for attachment file names.\n    -   All attachments must be encoded as Base64 format.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## AP Invoice – POST /sn\\_spend\\_intg/ap\\_invoice/cxml\n\nProcesses an automated invoice in commerce XML \\(cXML\\) format.\n\nUse the Invoice integration field mappings \\[sn\\_spend\\_intg\\_invoice\\_intg\\_field\\_mapping\\] table to determine how the fields are mapped to cXML tags.\n\nFor additional cXML resources, refer to the **cXML Reference Guide** at [https://xml.cxml.org](https://xml.cxml.org/current/cXMLReferenceGuide.pdf).\n\nCredentials for this API are included in the payload. You can set up credentials in the Source system credential \\[sn\\_spend\\_intg\\_source\\_system\\_credential\\] table. For instructions, see [Setting credentials for authentication in the cXML payload](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md).\n\nYou can define custom invoice fields for the request body. Use the following flow to add custom fields, map them to target tables, and format them for availability in the payload:\n\n1.  [Add custom fields for invoice import](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n2.  [Map custom fields between source and target tables](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n3.  [Map custom fields to a payload source format](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n\n### URL format\n\nVersioned URL: `/api/sn_spend_intg/v1/ap_invoice/cxml`\n\nDefault URL: `/api/sn_spend_intg/ap_invoice/cxml`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nPath\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n/cXML/Header/From /Credential\\[@domain='VendorID'\\]/Identity\n\n</td><td>\n\nIdentifier for the reseller or supplier that the customer can place orders with.Target field: u\\_supplier\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader\\[@invoiceDate\\]\n\n</td><td>\n\nDate on which the customer was invoiced.Target field: u\\_invoice\\_date\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nFormat: YYYY-MM-DD\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader\\[@invoiceID\\]\n\n</td><td>\n\nInvoice number generated from a third-party application.Target field: u\\_external\\_invoice\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader\\[@invoiceOrigin\\]\n\n</td><td>\n\nExternal source system from where the invoice is received. For example, supplier.Target field: u\\_inbound\\_source\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact\\[@role='billTo'\\]/PostalAddress/City\n\n</td><td>\n\nThe city to which the invoice is sent.Target field: u\\_bill\\_to\\_city\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact\\[@role='billTo'\\]/PostalAddress/Country\n\n</td><td>\n\nThe country to which the invoice is sent in ISO 3166 format. For example, `US`.Target field: u\\_bill\\_to\\_country\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact\\[@role='billTo'\\]/PostalAddress/State\n\n</td><td>\n\nThe state or province to which the invoice is sent.Target field: u\\_bill\\_to\\_state\\_or\\_province\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact\\[@role='billTo'\\]/PostalAddress/Street\n\n</td><td>\n\nThe street address to which the invoice is sent.Target field: u\\_bill\\_to\\_street\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/InvoicePartner /Contact\\[@role='billTo'\\]/PostalAddress/PostalCode\n\n</td><td>\n\nThe zip or postal code to which the invoice is sent.Target field: u\\_bill\\_to\\_zip\\_or\\_postal\\_code\n\n</td></tr><tr><td>\n\nContact\\[@role=\"remitTo\"\\]/PostalAddress /Street\n\n</td><td>\n\nThe street address to which the payment is made.Target field: u\\_remit\\_address\n\n</td></tr><tr><td>\n\nContact\\[@role=\"remitTo\"\\]/PostalAddress /City\n\n</td><td>\n\nThe city to which the payment is made.Target field: u\\_remit\\_to\\_city\n\n</td></tr><tr><td>\n\nContact\\[@role=\"remitTo\"\\]/PostalAddress /State\n\n</td><td>\n\nThe state or province to which the payment is made.Target field: u\\_remit\\_to\\_state\\_or\\_province\n\n</td></tr><tr><td>\n\nContact\\[@role=\"remitTo\"\\]/PostalAddress /PostalCode\n\n</td><td>\n\nThe zip or postal code to which the payment is made.Target field: u\\_remit\\_to\\_zip\\_or\\_postal\\_code\n\n</td></tr><tr><td>\n\nContact\\[@role=\"remitTo\"\\]/PostalAddress /Country\n\n</td><td>\n\nThe country to which the payment is made in ISO 3166 format. For example, `US`.Target field: u\\_remit\\_to\\_country\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact\\[@role=\"shipFrom\"\\]/PostalAddress /Street\n\n</td><td>\n\nStreet from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_street\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact\\[@role=\"shipFrom\"\\]/PostalAddress /City\n\n</td><td>\n\nCity from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_city\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact\\[@role=\"shipFrom\"\\]/PostalAddress /State\n\n</td><td>\n\nState from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_state\\_or\\_province\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact\\[@role=\"shipFrom\"\\]/PostalAddress /PostalCode\n\n</td><td>\n\nZip code from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_zip\\_or\\_postal\\_code\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoiceDetailShipping/Contact\\[@role=\"shipFrom\"\\]/PostalAddress /Country\n\n</td><td>\n\nCountry from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_country\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailRequestHeader /InvoicePartner/Contact\\[@role=\"billTo\"\\] \\[@addressID\\]\n\n</td><td>\n\nName of the legal entity of the supplier. Located in the Legal Entity \\[sn\\_fin\\_legal\\_entity\\] table.Target field: u\\_legal\\_entity\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/Name\n\n</td><td>\n\nName of the contact to which the items on the purchase order should be shipped.Related table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/PostalAddress /Street\n\n</td><td>\n\nStreet to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_street\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/PostalAddress /City\n\n</td><td>\n\nCity to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_city\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/PostalAddress /State\n\n</td><td>\n\nState or province to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_state\\_or\\_province\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/PostalAddress /PostalCode\n\n</td><td>\n\nZip code to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_zip\\_or\\_postal\\_code\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\nContact\\[@role=\"shipTo\"\\]/PostalAddress /Country\n\n</td><td>\n\nCountry to which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_country\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest /InvoiceDetailRequestHeader/PaymentTerm\n\n</td><td>\n\nThe agreed upon time and conditions under which a payment to a supplier is made. For example, `Net 30`.Target field: u\\_payment\\_terms\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem\\[@description\\]/\n\n</td><td>\n\nDescription of the invoice line.Target field: u\\_line\\_description\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem\\[@quantity\\]/\n\n</td><td>\n\nQuantity of goods or services that a customer is being invoiced for.Target field: u\\_line\\_quantity\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting /AccountingSegment\\[1\\]/Name\n\n</td><td>\n\nAccount number of the cost center for which the invoice is generated. Listed in the Cost Center \\[cmn\\_cost\\_center\\] table.Target field: u\\_cost\\_center\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Distribution/Accounting /AccountingSegment\\[2\\]/Name\n\n</td><td>\n\nAccount number of the general ledger \\(GL\\) used to generate the invoice.Target field: u\\_gl\\_account\n\nSee also:\n\n-   [ERP source](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/erp-source.md)\n-   [Ledger account](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/ledger-account.md)\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/SubtotalAmount/Money\n\n</td><td>\n\nTotal amount of money to be paid to the supplier excluding tax and shipping charges.Target field: u\\_subtotal\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/NetAmount/Money\n\n</td><td>\n\nTotal cost, excluding taxes and shipping, that a customer is being invoiced for a given purchase order line.Target field: u\\_line\\_amount\\_invoiced\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailOrderInfo/OrderReference\n\n</td><td>\n\nPurchase order number that is provided by the customer for this order. Listed in the Purchase Order \\[sn\\_shop\\_purchase\\_order\\] table.Target field: u\\_purchase\\_order\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/UnitPrice/UnitOfMeasure\n\n</td><td>\n\nBase unit of measure \\(UOM\\) used to count the item in the invoice.Target field: u\\_uom\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/UnitPrice/Money\n\n</td><td>\n\nUnit price of the line item in the invoice.Target field: u\\_line\\_unit\\_price\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/UnitPrice/Money\\[@currency\\]\n\n</td><td>\n\nCurrency for the line item. For example, `USD`.Target field: u\\_currency\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\ncXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem /InvoiceDetailItemReference\\[@lineNumber\\]\n\n</td><td>\n\nPurchase order line ID for the referenced supplier. Listed in the Purchase Order Line \\[sn\\_shop\\_purchase\\_order\\_line\\] table.Target field: u\\_purchase\\_order\\_line\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\ncXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/InvoiceDetailItemReference /ItemID/SupplierPartID\n\n</td><td>\n\nPart number that is generated by a supplier for this invoice line.Target field: u\\_supplier\\_part\\_number\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\ncXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/InvoiceDetailItemReference /Description\n\n</td><td>\n\nDescription of the purchase order line for the invoice.Target field: u\\_po\\_line\\_description\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\ncXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Tax/Money\n\n</td><td>\n\nTotal amount of taxes that are billed for the purchase.Target field: u\\_tax\\_amount\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\ncXML/Request/InvoiceDetailRequest/InvoiceDetailOrder /InvoiceDetailItem/Tax/Description\n\n</td><td>\n\nUnique tax code generated from the ERP source.Target field: u\\_tax\\_code\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/ InvoiceDetailSummary /SubtotalAmount/Money\n\n</td><td>\n\nTotal amount of money to be paid to the supplier excluding tax and shipping charges.Target field: u\\_subtotal\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/Money\n\n</td><td>\n\nTotal amount of taxes that are billed for the purchase.Target field: u\\_tax\\_amount\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/TaxDetail\\[@category\\]\n\n</td><td>\n\nType of tax applicable on the invoice. Listed in the Tax Type \\[sn\\_fin\\_tax\\_type\\] table.Target field: u\\_tax\\_type\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /Tax/TaxDetail\\[@percentageRate\\]\n\n</td><td>\n\nThe tax rate charged by the supplier.Related table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\nTarget field: u\\_supplier\\_tax\\_rate\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /SpecialHandlingAmount/Money\n\n</td><td>\n\nOther additional charges associated with the invoice. This is an editable field.Target field: u\\_other\\_charges\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /ShippingAmount/Money\n\n</td><td>\n\nTotal shipping cost for the entire purchase.Target field: u\\_shipping\\_amount\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /GrossAmount/Money\n\n</td><td>\n\nRequired. Currency for subtotal, tax, and shipping. The subtotal, tax, and shipping should be in the same currency.Target field: u\\_currency\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /InvoiceDetailDiscount/Money\n\n</td><td>\n\nDiscounts that are applied toward the invoice.Target field: u\\_discounts\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\n/cXML/Request/InvoiceDetailRequest/InvoiceDetailSummary /NetAmount/Money\n\n</td><td>\n\nTotal amount of money to be paid to the supplier including tax and shipping charges.Target field: u\\_amount\\_invoiced\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the request body. Only supports **application/xml**.\n\n</td></tr><tr><td>\n\nSource-System\n\n</td><td>\n\nSpecifies the source system from which the request is coming from.Available systems are listed in the Source systems credentials \\[sn\\_spend\\_intg\\_source\\_system\\_credential\\] table.\n\nThis setting helps to determine if the request provided follows the structure in the Invoice integration field mapping \\[sn\\_spend\\_intg\\_invoice\\_intg\\_field\\_mapping\\] table.\n\nThis setting is also used to fetch credentials from the Source system credentials \\[sn\\_spend\\_intg\\_source\\_system\\_credential\\] table.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|202|Request Accepted. The request is successful and invoice processing is in progress.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|429|Too Many Requests. The request rate has exceeded the maximum of 10 requests per hour.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbatch\\_id\n\n</td><td>\n\nUnique identifier for the batch request. This ID can be used to track the status of the request. This record is stored in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table.Data type: String\n\n</td></tr><tr><td>\n\nerror\n\n</td><td>\n\nContains error message and details when the request fails.```\n{\n  \"detail\": String,\n  \"message\": String\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td>\n\nAdditional details about the request error.Possible results:\n\n-   Failed API level ACL Validation - User does not have read/write access to the resource.\n-   Rate limit of 13 requests per hour for AP Invoice exceeded – The number of records in the batch is more than the batch size set.\n-   Required to provide Auth information - Either the password is wrong or user name is wrong.\n\nData type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td>\n\nError message containing the reason the request failedPossible errors:\n\n-   Invalid payload - Invalid content type.\n-   Invalid payload - Error: Invalid payload structure.\n-   Invalid payload - Error: Payload exceeds allowed invoices limit in a batch. The number of records in the batch is more than the batch size set. The maximum default payload size is 100 records. This value is configurable in the **sn\\_spend\\_intg.ap.invoice.create.api.record\\_limit** system property.\n-   Invalid payload - Error: Empty invoices. No data to process. The number of records in the batch is zero.\n-   Rate limit of 500 requests per hour for APO Invoice Ingestion exceeded.\n-   User Not Authenticated. Either the password is wrong or user name is wrong.\n-   Failed API level ACL Validation - User does not have read/write access to the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nmessage\n\n</td><td>\n\nSuccess message, for example, `Your request has been successfully received and is being processed`.You can view the status of the request in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nIndicates the result of the request.Possible values:\n\n-   Success\n-   Fail\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to process an invoice provided as a request in cXML format.\n\n```\ncurl -X POST https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/cxml \\\n-H \"Source-System: Ariba\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n    \"content\": \"------=_Part_1367_1859161670.1709186492411\\r\\nContent-Type: text/xml; charset=UTF-8\\r\\n\nContent-ID: 1709186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com\\r\\n<?xml version=\\\"1.0\\\" \nencoding=\\\"UTF-8\\\"?>\\r\\n<!DOCTYPE cXML SYSTEM \\\"https://protect-us.mimecast.com/s/fgKrCERVqQU35PNzBuw39pz?domain=xml.cxml.org\\\">\n\\r\\n<cXML timestamp=\\\"2024-02-28T22:01:32-08:00\\\" payloadID=\\\"1709186492411-3401013259654180284@10.209.37.74\\\">\n\\r\\n    <Response>\\r\\n        <Status code=\\\"200\\\" text=\\\"OK\\\" />\\r\\n        <DataResponse>\\r\\n            <Attachment>\n\\r\\n                <URL>186492411.10815535@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.110</URL>\\r\\n            </Attachment>\n\\r\\n            <Attachment>\\r\\n                <URL>1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108</URL>\n\\r\\n            </Attachment>\\r\\n        </DataResponse>\\r\\n    </Response>\\r\\n</cXML>\\r\\n------=_Part_1367_1859161670.1709186492411\n\\r\\nContent-Type: text/xml; charset=UTF-8\\r\\nContent-ID: 1709186492403.306612238@produs-c4-an-s2-z3-1.us2.gcpint.ariba.com.108\n\\r\\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\r\\n\n<!DOCTYPE cXML SYSTEM \\\"https://protect-us.mimecast.com/s/7QpfCG6VRKf15gQPwFpUTKe?domain=xml.cxml.org\\\">\\r\\n\n<cXML payloadID=\\\"1705930173863-1790846563502652473@10.209.37.98\\\" timestamp=\\\"2024-01-22T05:29:33-08:00\\\" version=\\\"1.2.060\\\">\\r\\n\n    <Header>\\r\\n        <From>\\r\\n            <Credential domain=\\\"NetworkID\\\">\\r\\n                <Identity>AN01532216648-T</Identity>\\r\\n\n            </Credential>\\r\\n            <Credential domain=\\\"VendorID\\\">\\r\\n                <Identity>3245545</Identity>\\r\\n\n            </Credential>\\r\\n            <Credential domain=\\\"PrivateID\\\">\\r\\n                <Identity>0000099123</Identity>\\r\\n\n            </Credential>\\r\\n        </From>\\r\\n        <To>\\r\\n            <Credential domain=\\\"NetworkID\\\">\\r\\n\n                <Identity>AN01404744424-T</Identity>\\r\\n            </Credential>\\r\\n            <Credential domain=\\\"SystemID\\\">\\r\\n\n                <Identity>ERP1</Identity>\\r\\n            </Credential>\\r\\n            <Credential domain=\\\"EndPointID\\\">\\r\\n\n                <Identity>CIG</Identity>\\r\\n            </Credential>\\r\\n        </To>\\r\\n        <Sender>\\r\\n\n            <Credential domain=\\\"NetworkID\\\">\\r\\n                <Identity>AN01000000001</Identity>\\r\\n\n                <SharedSecret>Ariba@123</SharedSecret>\\r\\n            </Credential>\\r\\n            <UserAgent>Supplier</UserAgent>\\r\\n\n        </Sender>\\r\\n    </Header>\\r\\n    <Request deploymentMode=\\\"test\\\">\\r\\n        <InvoiceDetailRequest>\\r\\n\n            <InvoiceDetailRequestHeader invoiceDate=\\\"2024-01-22\\\" invoiceID=\\\"\\\" invoiceOrigin=\\\"supplier\\\" operation=\\\"new\\ purpose=\\\"PO Invoice\\\">\\r\\n\n                <InvoiceDetailHeaderIndicator></InvoiceDetailHeaderIndicator>\\r\\n\n                <InvoiceDetailLineIndicator></InvoiceDetailLineIndicator>\\r\\n                <InvoicePartner>\\r\\n\n                    <Contact addressID=\\\"Test123\\\" role=\\\"remitTo\\\">\\r\\n\n                        <Name xml:lang=\\\"en-US\\\">Oil and Natural Gas Corporation Limited</Name>\\r\\n\n                        <PostalAddress>\\r\\n                            <Street>Xyz street</Street>\\r\\n                            <City>USA</City>\\r\\n\n                            <State isoStateCode=\\\"US-NY\\\">NY</State>\\r\\n                            <PostalCode>10001</PostalCode>\\r\\n\n                            <Country isoCountryCode=\\\"US\\\">United States</Country>\\r\\n                        </PostalAddress>\\r\\n\n                    </Contact>\\r\\n                </InvoicePartner>\\r\\n                <InvoicePartner>\\r\\n\n                    <Contact addressID=\\\"9009\\\" role=\\\"billTo\\\">\\r\\n                        <Name xml:lang=\\\"EN\\\">Bristlecone Inc</Name>\\r\\n\n                        <PostalAddress>\\r\\n                            <Street>10 Boulvard-10</Street>\\r\\n\n                            <City>San Jose</City>\\r\\n                            <State>CA</State>\\r\\n\n                            <PostalCode>94077</PostalCode>\\r\\n                            <Country isoCountryCode=\\\"US\\\"></Country>\\r\\n\n                        </PostalAddress>\\r\\n                        <Phone>\\r\\n                            <TelephoneNumber>\\r\\n\n                                <CountryCode isoCountryCode=\\\"US\\\">1</CountryCode>\\r\\n                                <Number>7687687799</Number>\\r\\n\n                            </TelephoneNumber>\\r\\n                        </Phone>\\r\\n                        <Fax>\\r\\n\n                            <TelephoneNumber>\\r\\n                                <CountryCode isoCountryCode=\\\"US\\\">1</CountryCode>\\r\\n\n                                <Number>768-FAX-NUMBER</Number>\\r\\n                            </TelephoneNumber>\\r\\n                        </Fax>\\r\\n\n                    </Contact>\\r\\n                </InvoicePartner>\\r\\n                <InvoicePartner>\\r\\n                    <Contact role=\\\"from\\\">\\r\\n\n                        <Name xml:lang=\\\"en-US\\\">Oil and Natural Gas Corporation Limited</Name>\\r\\n                        <PostalAddress>\\r\\n\n                            <Street>123 , street no 5</Street>\\r\\n                            <City>Dallas</City>\\r\\n\n                            <State isoStateCode=\\\"US-AL\\\">AL</State>\\r\\n                            <PostalCode>36615</PostalCode>\\r\\n\n                            <Country isoCountryCode=\\\"US\\\">United States</Country>\\r\\n                        </PostalAddress>\\r\\n\n                    </Contact>\\r\\n                </InvoicePartner>\\r\\n                <InvoiceDetailShipping>\\r\\n\n                    <Contact role=\\\"shipFrom\\\">\\r\\n                        <Name xml:lang=\\\"en-US\\\">Oil and Natural Gas Corporation Limited</Name>\\r\\n\n                        <PostalAddress>\\r\\n                            <Street>Deendayal Urja Bhawan</Street>\\r\\n\n                            <City>New Delhi</City>\\r\\n                            <State isoStateCode=\\\"IN-MH\\\">Maharashtra</State>\\r\\n\n                            <PostalCode>110070</PostalCode>\\r\\n                            <Country isoCountryCode=\\\"IN\\\">India</Country>\\r\\n\n                        </PostalAddress>\\r\\n                    </Contact>\\r\\n                    <Contact addressID=\\\"9999\\\" role=\\\"shipTo\\\">\\r\\n\n                        <Name xml:lang=\\\"EN\\\">Buyer Plant Bristlecone</Name>\\r\\n                        <PostalAddress name=\\\"default\\\">\\r\\n\n                            <Street>18 Hanoi Road</Street>\\r\\n                            <City>San Jose</City>\\r\\n\n                            <State>CA</State>\\r\\n                            <PostalCode>77077</PostalCode>\\r\\n\n                            <Country isoCountryCode=\\\"US\\\"></Country>\\r\\n                        </PostalAddress>\\r\\n\n                        <Email name=\\\"default\\\" preferredLang=\\\"en\\\">test@test.com</Email>\\r\\n                    </Contact>\\r\\n\n                </InvoiceDetailShipping>\\r\\n            </InvoiceDetailRequestHeader>\\r\\n            <InvoiceDetailOrder>\\r\\n\n                <InvoiceDetailOrderInfo>\\r\\n                    <OrderReference orderID=\\\"\\\">\\r\\n\n                        <DocumentReference payloadID=\\\"0AAF8EA1FA5F1EDE9FDC97460BCB03E1\\\"></DocumentReference>\\r\\n\n                    </OrderReference>\\r\\n                </InvoiceDetailOrderInfo>\\r\\n\n                <InvoiceDetailItem invoiceLineNumber=\\\"2\\\" quantity=\\\"25\\\" description=\\\"Indian Oil\\\">\\r\\n\n                    <UnitOfMeasure>EA</UnitOfMeasure>\\r\\n                    <UnitPrice>\\r\\n                        <Money currency=\\\"USD\\\">50</Money>\\r\\n\n                    </UnitPrice>\\r\\n                    <SubtotalAmount>\\r\\n                        <Money currency=\\\"USD\\\">1250.00</Money>\\r\\n\n                    </SubtotalAmount>\\r\\n                </InvoiceDetailItem>\\r\\n            </InvoiceDetailOrder>\\r\\n        </InvoiceDetailRequest>\\r\\n\n    </Request>\\r\\n</cXML>\\r\\n------=_Part_1367_1859161670.1709186492411--\"\n}'\n\n```\n\nThe following result shows that the request is successful and the invoice data is processing. You can view the status of the request in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table. Use the batch ID listed in the Batch ID column to find the invoice.\n\n```\n{\n    \"batchId\": \"APIINV1729711710733280\",\n    \"status\": \"Success\",\n    \"message\": \"Your request has been successfully received and is being processed.\"\n}\n```\n\n## AP Invoice – POST /sn\\_spend\\_intg/ap\\_invoice/json\n\nProcesses an automated invoice in JSON format.\n\nRole required: sn\\_spend\\_intg.procurement\\_integrator\n\nUse the Invoice integration field mappings \\[sn\\_spend\\_intg\\_invoice\\_intg\\_field\\_mapping\\] table to determine how the fields are mapped to JSON properties.\n\nYou can define custom invoice fields for the request body. Use the following flow to add custom fields, map them to target tables, and format them for availability in the payload:\n\n1.  [Add custom fields for invoice import](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n2.  [Map custom fields between source and target tables](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n3.  [Map custom fields to a payload source format](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n\n### URL format\n\nVersioned URL: `/api/sn_spend_intg/v1/ap_invoice/json`\n\nDefault URL: `/api/sn_spend_intg/ap_invoice/json`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ninvoices\n\n</td><td>\n\nList containing each invoice to be processed.Data type: Object of nested invoice objects.\n\n```\n\"invoices\": {\n  {\n    \"amount_invoiced\": \"String\",\n    \"bill_to_city\": \"String\",\n    \"bill_to_country\": \"String\",\n    \"bill_to_state_or_province\": \"String\",\n    \"bill_to_street\": \"String\",\n    \"bill_to_zip_or_postal_code\": \"String\",\n    \"business_owner\": \"String\",\n    \"currency\": \"String\",\n    \"discounts\": \"String\",\n    \"erp_number\": \"String\",\n    \"external_invoice_number\": \"String\",\n    \"invoice_copy_attachment\": [Array],\n    \"invoice_date\": \"String\",\n    \"invoice_line_count\": \"String\",\n    \"invoice_lines\": [Array],\n    \"invoice_type\": \"String\",\n    \"legal_entity\": \"String\",\n    \"original_invoice\": \"String\",\n    \"other_charges\": \"String\",\n    \"payment_terms\": \"String\",\n    \"purchase_order\": \"String\",\n    \"remit_address\": \"String\",\n    \"remit_to_city\": \"String\",\n    \"remit_to_country\": \"String\",\n    \"remit_to_state_or_province\": \"String\",\n    \"remit_to_zip_or_postal_code\": \"String\",\n    \"ship_from_city\": \"String\",\n    \"ship_from_country\": \"String\",\n    \"ship_from_state_or_province\": \"String\",\n    \"ship_from_street\": \"String\",\n    \"ship_from_zip_or_postal_code\": \"String\",\n    \"ship_to_city\": \"String\",\n    \"ship_to_country\": \"String\",\n    \"ship_to_state_or_province\": \"String\",\n    \"ship_to_street\": \"String\",\n    \"ship_to_zip_or_postal_code\": \"String\",\n    \"shipping_amount\": \"String\",\n    \"subtotal\": \"String\",\n    \"supplier\": \"String\",\n    \"supplier_invoice_number\": \"String\",\n    \"supplier_tax_id\": \"String\",\n    \"supporting_attachments\": [Array]\n  }\n}\n```\n\n</td></tr><tr><td>\n\ninvoices.amount\\_invoiced\n\n</td><td>\n\nTotal amount of money to be paid to the supplier including tax and shipping charges.Target field: u\\_amount\\_invoiced\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nbill\\_to\\_city\n\n</td><td>\n\nThe city to which the invoice is sent.Target field: u\\_bill\\_to\\_city\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\nbill\\_to\\_country\n\n</td><td>\n\nThe country to which the invoice is sent in ISO 3166 format. For example, `US`.Target field: u\\_bill\\_to\\_country\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\nbill\\_to\\_state\\_or\\_province\n\n</td><td>\n\nThe state or province to which the invoice is sent.Target field: u\\_bill\\_to\\_state\\_or\\_province\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\nbill\\_to\\_street\n\n</td><td>\n\nThe street address to which the invoice is sent.Target field: u\\_bill\\_to\\_street\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\n</td></tr><tr><td>\n\nbill\\_to\\_zip\\_or\\_postal\\_code\n\n</td><td>\n\nThe zip or postal code to which the invoice is sent.Target field: u\\_bill\\_to\\_zip\\_or\\_postal\\_code\n\n</td></tr><tr><td>\n\ninvoices.business\\_owner\n\n</td><td>\n\nName of the owner who owns the application from the business side.Target field: u\\_business\\_owner\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.currency\n\n</td><td>\n\nRequired. Currency for subtotal, tax, and shipping. The subtotal, tax, and shipping should be in the same currency.Target field: u\\_currency\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.discounts\n\n</td><td>\n\nDiscounts that are applied toward the invoice.Target field: u\\_discounts\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.erp\\_number\n\n</td><td>\n\nUnique number generated within the ERP \\(Enterprise Resource Planning\\) system for the purchase order. For information, see [Purchase order integration](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/purchase-order-integration-2.md).Target field: u\\_erp\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices. external\\_invoice\\_number\n\n</td><td>\n\nRequired. Invoice number generated from a third-party application.Target field: u\\_external\\_invoice\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices. invoice\\_copy\\_attachment\n\n</td><td>\n\nList of attachments defined at the invoice level. See [Accounts Payable Invoice Processing](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/acc-pay-invoice-processing.md).Once created, the system will generate the invoice record along with the associated invoice case and invoice lines. Attachments will be linked to their respective records accordingly.\n\nData type: Array of Objects\n\n```\n\"invoice_copy_attachment\": [\n  {\n    \"content\": \"String\",\n    \"encoding\": \"String\",\n    \"mime_code\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_copy\\_attachment. content\n\n</td><td>\n\nBase64-encoded file content of the attachment.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_copy\\_attachment. encoding\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_copy\\_attachment. mime\\_code\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_copy\\_attachment. name\n\n</td><td>\n\nFile name of the attachment.**Note:** Do not use the reserved \"SD\\_\" prefix for an attachment file name.\n\nData type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_date\n\n</td><td>\n\nRequired. Date on which the customer was invoiced.Target field: u\\_invoice\\_date\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\nFormat: YYYY-MM-DD\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_line\\_count\n\n</td><td>\n\nNumber of lines in the invoice.Target field: u\\_invoice\\_line\\_count\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines\n\n</td><td>\n\nList of objects that define the lines that are being invoiced for purchases within this order. Invoice lines are staged in the Invoice line import inbound \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\] table.Data type: Array of Objects\n\n```\n\"invoice_lines\": [\n  {\n    \"attachments\": [Array],\n    \"cost_center\": \"String\",\n    \"currency\": \"String\",\n    \"external_invoice_number\": \"String\",\n    \"gl_account\": \"String\",\n    \"line_amount_invoiced\": \"String\",\n    \"line_description\": \"String\",\n    \"line_quantity\": \"String\",\n    \"line_unit_price\": \"String\",\n    \"po_line_description\": \"String\",\n    \"purchase_order_line\": \"String\",\n    \"ship_to_city\": \"String\",\n    \"ship_to_country\": \"String\",\n    \"ship_to_state_or_province\": \"String\",\n    \"ship_to_street\": \"String\",\n    \"ship_to_zip_or_postal_code\": \"String\",\n    \"subtotal\": \"String\",\n    \"supplier_part_number\": \"String\",\n    \"tax_code\": \"String\",\n    \"tax_details\": [Array],\n    \"uom\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. attachments\n\n</td><td>\n\nList of attachments defined at the invoice line level. See [Create New Invoice Line form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/create-invoice-line-form.md).Once created, the system will generate the invoice record along with the associated invoice case and invoice lines. Attachments will be linked to their respective records accordingly.\n\nData type: Array of Objects\n\n```\n\"attachments\": [\n  {\n    \"content\": \"String\",\n    \"encoding\": \"String\",\n    \"mime_code\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. attachments.content\n\n</td><td>\n\nBase64-encoded file content of the attachment.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. attachments.encoding\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. attachments.mime\\_code\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. attachments.name\n\n</td><td>\n\nFile name of the attachment.**Note:** Do not use the reserved \"SD\\_\" prefix for an attachment file name.\n\nData type: String\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. cost\\_center\n\n</td><td>\n\nAccount number of the cost center for which the invoice is generated. Listed in the Cost Center \\[cmn\\_cost\\_center\\] table.Target field: u\\_cost\\_center\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. currency\n\n</td><td>\n\nCurrency for the line item. For example, `USD`.Target field: u\\_currency\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. external\\_invoice\\_number\n\n</td><td>\n\nRequired. Invoice number generated from a third-party application.Target field: u\\_external\\_invoice\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. gl\\_account\n\n</td><td>\n\nAccount number of the general ledger \\(GL\\) used to generate the invoice.Target field: u\\_gl\\_account\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\nSee also:\n\n-   [ERP source](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/erp-source.md)\n-   [Ledger account](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/ledger-account.md)\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. line\\_amount\\_invoiced\n\n</td><td>\n\nRequired. Total cost, excluding taxes and shipping, that a customer is being invoiced for a given purchase order line.Target field: u\\_line\\_amount\\_invoiced\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. line\\_description\n\n</td><td>\n\nRequired. Description of the invoice line.Target field: u\\_line\\_description\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. line\\_quantity\n\n</td><td>\n\nRequired. Quantity of goods or services that a customer is being invoiced for.Target field: u\\_line\\_quantity\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. line\\_unit\\_price\n\n</td><td>\n\nUnit price of the line item in the invoice.Target field: u\\_line\\_unit\\_price\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. po\\_line\\_description\n\n</td><td>\n\nDescription of the purchase order line for the invoice.Target field: u\\_po\\_line\\_description\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. purchase\\_order\\_line\n\n</td><td>\n\nRequired. Purchase order line ID for the referenced supplier. Listed in the Purchase Order Line \\[sn\\_shop\\_purchase\\_order\\_line\\] table.Target field: u\\_purchase\\_order\\_line\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. ship\\_to\\_city\n\n</td><td>\n\nCity to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_city\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. ship\\_to\\_country\n\n</td><td>\n\nCountry to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_country\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. ship\\_to\\_state\\_or\\_province\n\n</td><td>\n\nState or province to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_state\\_or\\_province\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. ship\\_to\\_street\n\n</td><td>\n\nStreet to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_street\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. ship\\_to\\_zip\\_or\\_postal\\_code\n\n</td><td>\n\nZip code to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_zip\\_or\\_postal\\_code\n\nRelated table: Invoice Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. subtotal\n\n</td><td>\n\nRequired. Total amount of money to be paid to the supplier excluding tax and shipping charges.Target field: u\\_subtotal\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. supplier\\_part\\_number\n\n</td><td>\n\nRequired. Part number that is generated by a supplier for this invoice line.Target field: u\\_supplier\\_part\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. tax\\_code\n\n</td><td>\n\nUnique tax code generated from the ERP source.Target field: u\\_tax\\_code\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. tax\\_details\n\n</td><td>\n\nList of tax lines for purchases associated with the invoice line.Data type: Array of Objects\n\n```\n\"tax_details\": [\n  {\n    \"tax_amount\": \"String\",\n    \"tax_rate\": \"String\",\n    \"tax_type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. tax\\_details.tax\\_amount\n\n</td><td>\n\nRequired. Total amount of taxes that are billed for the purchase.Target field: u\\_tax\\_amount\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. tax\\_details.tax\\_rate\n\n</td><td>\n\nThe tax rate charged by the supplier.Target field: u\\_supplier\\_tax\\_rate\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines. tax\\_details.tax\\_type\n\n</td><td>\n\nType of tax applicable on the invoice. Listed in the Tax Type \\[sn\\_fin\\_tax\\_type\\] table.Target field: u\\_tax\\_type\n\nRelated table: Invoice Tax Line Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\_tax\\_line\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_lines.uom\n\n</td><td>\n\nBase unit of measure \\(UOM\\) used to count the item in the invoice.Target field: u\\_uom\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.invoice\\_type\n\n</td><td>\n\nType of invoice for processing.Target field: u\\_invoice\\_type\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.legal\\_entity\n\n</td><td>\n\nName of the legal entity of the supplier. Located in the Legal Entity \\[sn\\_fin\\_legal\\_entity\\] table.Target field: u\\_legal\\_entity\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.original\\_invoice\n\n</td><td>\n\nUnique invoice number created by the supplier.Related table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nTarget field: u\\_original\\_invoice\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.other\\_charges\n\n</td><td>\n\nOther additional charges associated with the invoice. This is an editable field.Target field: u\\_other\\_charges\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.payment\\_terms\n\n</td><td>\n\nThe agreed upon time and conditions under which a payment to a supplier is made. For example, `Net 30`.Related table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.purchase\\_order\n\n</td><td>\n\nRequired. Purchase order number that is provided by the customer for this order. Listed in the Purchase Order \\[sn\\_shop\\_purchase\\_order\\] table.Target field: u\\_purchase\\_order\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.remit\\_address\n\n</td><td>\n\nRequired. The street address to which the payment is made.Target field: u\\_remit\\_address\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.remit\\_to\\_city\n\n</td><td>\n\nRequired. The city to which the payment is made.Target field: u\\_remit\\_to\\_city\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.remit\\_to\\_country\n\n</td><td>\n\nRequired. The country to which the payment is made in ISO 3166 format. For example, `US`.Target field: u\\_remit\\_to\\_country\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. remit\\_to\\_state\\_or\\_province\n\n</td><td>\n\nRequired. The state or province to which the payment is made.Related table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. remit\\_to\\_zip\\_or\\_postal\\_code\n\n</td><td>\n\nRequired. The zip or postal code to which the payment is made.Target field: u\\_remit\\_to\\_state\\_or\\_province\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_from\\_city\n\n</td><td>\n\nCity from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_city\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_from\\_country\n\n</td><td>\n\nCountry from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_country\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. ship\\_from\\_state\\_or\\_province\n\n</td><td>\n\nState from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_state\\_or\\_province\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_from\\_street\n\n</td><td>\n\nStreet from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_street\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. ship\\_from\\_zip\\_or\\_postal\\_code\n\n</td><td>\n\nZip code from which the items on the purchase order are shipped.Target field: u\\_ship\\_from\\_zip\\_or\\_postal\\_code\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_to\\_city\n\n</td><td>\n\nCity to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_city\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_to\\_country\n\n</td><td>\n\nCountry to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_country\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. ship\\_to\\_state\\_or\\_province\n\n</td><td>\n\nState to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_state\\_or\\_province\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.ship\\_to\\_street\n\n</td><td>\n\nStreet to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_street\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. ship\\_to\\_zip\\_or\\_postal\\_code\n\n</td><td>\n\nZip code to which the items on the purchase order are shipped.Target field: u\\_ship\\_to\\_zip\\_or\\_postal\\_code\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.shipping\\_amount\n\n</td><td>\n\nRequired. Total shipping cost for the entire purchase.Target field: u\\_shipping\\_amount\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.subtotal\n\n</td><td>\n\nRequired. Total amount of money to be paid to the supplier excluding tax and shipping charges.Related table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ninvoices.supplier\n\n</td><td>\n\nRequired. Identifier for the reseller or supplier that the customer can place orders with.Target field: u\\_supplier\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices. supplier\\_invoice\\_number\n\n</td><td>\n\nRequired. Identification number that is generated by a supplier for this invoice.Target field: u\\_supplier\\_invoice\\_number\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.supplier\\_tax\\_id\n\n</td><td>\n\nTax identifier that is associated with the third party reseller. This is an editable field.Target field: u\\_supplier\\_tax\\_id\n\nRelated table: Invoice Import \\[sn\\_spend\\_intg\\_imp\\_invoice\\]\n\nData type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ninvoices.target\\_erp\n\n</td><td>\n\nERP record in which the invoice is posted. Located in the ERP Source \\[sn\\_fin\\_erp\\_source\\] table. See [ERP source](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/erp-source.md).Data type: String\n\n</td></tr><tr><td>\n\ninvoices. supporting\\_attachments\n\n</td><td>\n\nList of attachments defined at the invoice processing case level for cases assigned to Accounts Payable Specialists. See [Invoice processing case form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/source-to-pay-operations/invoice-processing-case-form.md).Once created, the system will generate the invoice record along with the associated invoice case and invoice lines. Attachments will be linked to their respective records accordingly.\n\nData type: Array of Objects\n\n```\n\"supporting_attachments\": [\n  {\n    \"content\": \"String\",\n    \"encoding\": \"String\",\n    \"mime_code\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninvoices. supporting\\_attachments.content\n\n</td><td>\n\nBase64-encoded file content of the attachment.Data type: String\n\n</td></tr><tr><td>\n\ninvoices. supporting\\_attachments.encoding\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices. supporting\\_attachments.mime\\_code\n\n</td><td>\n\nThis value is always `base64`.Data type: String\n\n</td></tr><tr><td>\n\ninvoices. supporting\\_attachments.name\n\n</td><td>\n\nFile name of the attachment.**Note:** Do not use the reserved \"SD\\_\" prefix for an attachment file name.\n\nData type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr><tr><td>\n\nSource-System\n\n</td><td>\n\nSpecifies the source system from which the request is coming from.This setting helps to determine if the request provided follows the structure in the Invoice integration field mapping \\[sn\\_spend\\_intg\\_invoice\\_intg\\_field\\_mapping\\] table.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|202|Request Accepted. The request is successful and invoice processing is in progress.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|429|Too Many Requests. The request rate has exceeded the maximum of 10 requests per hour.|\n\n### Response body parameters\n\n<table id=\"table_ig4_h1l_ddc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nbatch\\_id\n\n</td><td>\n\nUnique identifier for the batch request. This ID can be used to track the status of the request. This record is stored in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table.Data type: String\n\n</td></tr><tr><td>\n\nerror\n\n</td><td>\n\nContains error message and details when the request fails.```\n{\n  \"detail\": String,\n  \"message\": String\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td>\n\nAdditional details about the request error.Possible results:\n\n-   Failed API level ACL Validation - User does not have read/write access to the resource.\n-   Rate limit of 13 requests per hour for AP Invoice exceeded – The number of records in the batch is more than the batch size set.\n-   Required to provide Auth information - Either the password is wrong or user name is wrong.\n\nData type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td>\n\nError message containing the reason the request failedPossible errors:\n\n-   Invalid payload - Invalid content type.\n-   Invalid payload - Error: Invalid payload structure.\n-   Invalid payload - Error: Payload exceeds allowed invoices limit in a batch. The number of records in the batch is more than the batch size set. The maximum default payload size is 100 records. This value is configurable in the **sn\\_spend\\_intg.ap.invoice.create.api.record\\_limit** system property.\n-   Invalid payload - Error: Empty invoices. No data to process. The number of records in the batch is zero.\n-   Rate limit of 500 requests per hour for APO Invoice Ingestion exceeded.\n-   User Not Authenticated. Either the password is wrong or user name is wrong.\n-   Failed API level ACL Validation - User does not have read/write access to the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nmessage\n\n</td><td>\n\nSuccess message, for example, `Your request has been successfully received and is being processed`.You can view the status of the request in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nIndicates the result of the request.Possible values:\n\n-   Success\n-   Fail\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to process an invoice provided as a request in JSON format. Base64 encoding varies in size and can be very large. The content value has been truncated to conserve space. The information reflects proper payload structure.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_spend_intg/v1/ap_invoice/json\" \\\n--request \\\n POST \\\n--header \\\n \"Source-System: Coupa\" \\\n--header \\\n \"Content-Type: application/json\" \\\n--user 'username' \\\n:'password' \\\n--data \\\n '{\n  \"invoices\": [\n    {\n      \"invoice_type\": \"\",\n      \"supplier_invoice_number\": \"2InvoiceAttach_A1\",\n      \"external_invoice_number\": \"EXT-INV-erp-po-1_Attach1\",\n      \"supplier\": \"\",\n      \"business_owner\": \"lara.croft@example.com\",\n      \"purchase_order\": \"\",\n      \"date_format\": \"DD MMMM, YYYY\",\n      \"invoice_date\": \"2nd June, 2021\",\n      \"payment_terms\": \"Net 30\",\n      \"legal_entity\": \"AUS\",\n      \"subtotal\": \"(100.00)\",\n      \"shipping_amount\": \"30.00\",\n      \"other_charges\": \"20.00\",\n      \"discounts\": \"00.00\",\n      \"amount_invoiced\": \"200.00\",\n      \"currency\": \"USD\",\n      \"invoice_line_count\": \"10\",\n      \"ship_to_city\": \"New York\",\n      \"ship_to_country\": \"USA\",\n      \"ship_to_state_or_province\": \"NY\",\n      \"ship_to_street\": \"123 Main St\",\n      \"ship_to_zip_or_postal_code\": \"10001\",\n      \"ship_from_city\": \"Los Angeles\",\n      \"ship_from_country\": \"USA\",\n      \"ship_from_state_or_province\": \"CA\",\n      \"ship_from_street\": \"456 Oak Ave\",\n      \"ship_from_zip_or_postal_code\": \"90001\",\n      \"remit_address\": \"789 Elm St, Suite 200\",\n      \"remit_to_city\": \"Chicago\",\n      \"remit_to_country\": \"USA\",\n      \"remit_to_state_or_province\": \"IL\",\n      \"remit_to_zip_or_postal_code\": \"60601\",\n      \"supplier_tax_id\": \"123456789\",\n      \"invoice_copy_attachment\": [\n        {\n          \"file_name\": \"InvoiceTestInv_Json_A1.pdf\",\n          \"mime_code\": \"application/pdf\",\n          \"encoding\": \"base64\",\n          \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmV/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"InvoiceTestINVIMG_Json_A1.jpg\",\n          \"mime_code\": \"image/jpeg\",\n          \"encoding\": \"base64\",\n          \"content\": \"iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1B/Base64EncodingIntentionallyTruncated\"\n        }\n      ],\n      \"tax_details\": [\n        {\n          \"tax_type\": \"CGST\",\n          \"tax_amount\": \"10\",\n          \"tax_rate\": \"\"\n        },\n        {\n          \"tax_type\": \"Withholding tax\",\n          \"tax_amount\": \"\",\n          \"tax_rate\": \"25\"\n        },\n        {\n          \"tax_type\": \"Sales tax\",\n          \"tax_amount\": \"12\",\n          \"tax_rate\": \"12\"\n        }\n      ],\n      \"invoice_lines\": [\n        {\n          \"external_invoice_number\": \"EXT-INV-erp-po-1\",\n          \"line_description\": \"2INV_Line_Attach_A1\",\n          \"po_line_description\": \"\",\n          \"purchase_order_line\": \"\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00\",\n          \"line_amount_invoiced\": \"118.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00001\",\n          \"gl_account\": \"100001\",\n          \"tax_code\": \"A1 - Sales tax, reduced rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"attachments\": [\n            {\n              \"file_name\": \"InvoiceTestLine.pdf\",\n              \"mime_code\": \"application/pdf\",\n              \"encoding\": \"base64\",\n              \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQc/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"InvoiceTest1Line.jpg\",\n              \"mime_code\": \"image/jpeg\",\n              \"encoding\": \"base64\",\n              \"content\": \"iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmW2GWCy8SpAszALlJ/Mv6HK54/f/3/XFv4ysU57JMAAAAASUVORK5CYII=\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-erp-po-3\",\n          \"line_description\": \"Testing\",\n          \"po_line_description\": \"\",\n          \"purchase_order_line\": \"\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00\",\n          \"line_amount_invoiced\": \"118.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00005\",\n          \"gl_account\": \"100002\",\n          \"tax_code\": \"A1 - Sales tax, reduced rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\"\n        }\n      ]\n    },\n    {\n      \"invoice_type\": \"\",\n      \"supplier_invoice_number\": \"10MultiInvoiceAttach_A2\",\n      \"external_invoice_number\": \"EXT-INV-noerp-PO_Attach_A2\",\n      \"purchase_order\": \"0004531004\",\n      \"supplier\": \"880733\",\n      \"date_format\": \"DD-MM-YYYY\",\n      \"invoice_date\": \"02-05-2021\",\n      \"payment_terms\": \"NET 30\",\n      \"legal_entity\": \"XYZ Ltd.\",\n      \"subtotal\": \"100\",\n      \"shipping_amount\": \"30.00\",\n      \"other_charges\": \"20.00\",\n      \"discounts\": \"10.00\",\n      \"amount_invoiced\": \"140.00\",\n      \"currency\": \"USD\",\n      \"invoice_line_count\": \"1\",\n      \"ship_to_city\": \"New York\",\n      \"ship_to_country\": \"USA\",\n      \"ship_to_state_or_province\": \"NY\",\n      \"ship_to_street\": \"123 Main St\",\n      \"ship_to_zip_or_postal_code\": \"10001\",\n      \"ship_from_city\": \"Los Angeles\",\n      \"ship_from_country\": \"USA\",\n      \"ship_from_state_or_province\": \"CA\",\n      \"ship_from_street\": \"456 Oak Ave\",\n      \"ship_from_zip_or_postal_code\": \"90001\",\n      \"remit_address\": \"789 Elm St, Suite 200\",\n      \"remit_to_city\": \"Chicago\",\n      \"remit_to_country\": \"USA\",\n      \"remit_to_state_or_province\": \"IL\",\n      \"remit_to_zip_or_postal_code\": \"60601\",\n      \"supplier_tax_id\": \"12340009\",\n      \"supporting_attachments\": [\n        {\n          \"file_name\": \"10InvcCaseTstInv_Json_A2.pdf\",\n          \"mime_code\": \"application/pdf\",\n          \"encoding\": \"base64\",\n          \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24gOTY3MTUxMzkw/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstPNGInv_Json_A2.png\",\n          \"mime_code\": \"image/png\",\n          \"encoding\": \"base64\",\n          \"content\": \"iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmlsZQAASImVVwdY/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstInv2_Json_A2.pdf\",\n          \"mime_code\": \"application/pdf\",\n          \"encoding\": \"base64\",\n          \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24gOTY3MTQzNjgzKQovQXV0aG9yIChQYWdlcm8gQUIpCi9Td/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstXMLINV_Json_A2.xml\",\n          \"mime_code\": \"text/xml\",\n          \"encoding\": \"base64\",\n          \"content\": \"PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9I/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTtExcelINV_Json_A2.xlsx\",\n          \"mime_code\": \"application/vnd.ms-excel\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAAAAA/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstCSVINV_Json_A2.csv\",\n          \"mime_code\": \"text/csv\",\n          \"encoding\": \"base64\",\n          \"content\": \"Im51bWJlciIsInN1cHBsaWVyX2ludm9pY2VfbnVtYmVyIiwic3VwcGxpZXIiLCJzdGF0ZSIsInR5cGUiLCJkd/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstJsonINV_Json_A2.json\",\n          \"mime_code\": \"application/json\",\n          \"encoding\": \"base64\",\n          \"content\": \"eyJyZWNvcmRzIjpbeyJyZXF1aXJlc19hY2tub3dsZWRnZW1lbnQiOiJmYWxzZSIsInRheF9hbW91buYm91bmRfc291cmNlIjoiIn1dfQ==/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTstdocINV_Json_A2.docx\",\n          \"mime_code\": \"application/vnd.openxmlformats-officedocument.wordprocessingml.document\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAA/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceCasePPT_Json_A2.pptx\",\n          \"mime_code\": \"application/vnd.ms-powerpoint\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiB=\"\n        },\n        {\n          \"file_name\": \"10InvoiceCaseRichText_Json_A2.rtf\",\n          \"mime_code\": \"application/rtf\",\n          \"encoding\": \"base64\",\n          \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleHRzY2FsaW5nMFxjb2NvYXBsYXRmb3JtM/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvcCaseTst_INVJPG_Json_A2.jpg\",\n          \"mime_code\": \"image/jpeg\",\n          \"encoding\": \"base64\",\n          \"content\": \"/9j/4AAQSkZJRgABAQEA8ADwAAD/2wCEAAoHBwcIBwoICAoPCggKDxINCgoNEhQQEBIQEB/Base64EncodingIntentionallyTruncated\"\n        }\n      ],\n      \"invoice_copy_attachment\": [\n        {\n          \"file_name\": \"10InvoiceTestInv_Json_A2.pdf\",\n          \"mime_code\": \"application/pdf\",\n          \"encoding\": \"base64\",\n          \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24g/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestInv_Json_A2.jpg\",\n          \"mime_code\": \"image/jpeg\",\n          \"encoding\": \"base64\",\n          \"content\": \"iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0MgUHJvZmls/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvceTstInv2_Json_A2.pdf\",\n          \"mime_code\": \"application/pdf\",\n          \"encoding\": \"base64\",\n          \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50YXRpb24g=/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestXMLINV_Json_A2.xml\",\n          \"mime_code\": \"text/xml\",\n          \"encoding\": \"base64\",\n          \"content\": \"PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxvbmU9Im5vI/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestExcelINV_Json_A2.xlsx\",\n          \"mime_code\": \"application/vnd.ms-excel\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAACAAAAAAAAAAAAAA=/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestCSVINV_Json_A2.csv\",\n          \"mime_code\": \"text/csv\",\n          \"encoding\": \"base64\",\n          \"content\": \"Im51bWJlciIsInN1cHBsaWVyX2ludm9pY2VfbnVtYmVyIiwic3VwcGxpZXIiLCJzd/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestJsonINV_Json_A2.json\",\n          \"mime_code\": \"application/json\",\n          \"encoding\": \"base64\",\n          \"content\": \"eyJyZWNvcmRzIjpbeyJyZXF1aXJlc19hY2tub3dsZWRnZW1lbnQiOiJmYWxzZSI/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceTestdocINV_Json_A2.docx\",\n          \"mime_code\": \"application/vnd.openxmlformats-officedocument.wordprocessingml.document\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZXNdLnht/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoicePPT_Json_A2.pptx\",\n          \"mime_code\": \"application/vnd.ms-powerpoint\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtb/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"10InvoiceRichText_Json_A2.rtf\",\n          \"mime_code\": \"application/rtf\",\n          \"encoding\": \"base64\",\n          \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleHRz/Base64EncodingIntentionallyTruncated\"\n        }\n      ],\n      \"tax_details\": [\n        {\n          \"tax_type\": \"Value added tax\",\n          \"tax_amount\": \"21\",\n          \"tax_rate\": \"\"\n        },\n        {\n          \"tax_type\": \"IGST\",\n          \"tax_amount\": \"\",\n          \"tax_rate\": \"22\"\n        },\n        {\n          \"tax_type\": \"Withholding tax\",\n          \"tax_amount\": \"23\",\n          \"tax_rate\": \"\"\n        }\n      ],\n      \"invoice_lines\": [\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO_Attach_A2\",\n          \"purchase_order_line\": \"00045310041\",\n          \"po_line_description\": \"Yeti microphone - black\",\n          \"line_description\": \"10MultiInvoiceLineAttach_A2\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00-\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00001\",\n          \"gl_account\": \"141150\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"attachments\": [\n            {\n              \"file_name\": \"10InvoiceTest_INVLine_Json_A2.pdf\",\n              \"mime_code\": \"application/pdf\",\n              \"encoding\": \"base64\",\n              \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10InvoiceTest_INVLine_Json_A2.jpg\",\n              \"mime_code\": \"image/jpeg\",\n              \"encoding\": \"base64\",\n              \"content\": \"iVBORw0KGgoAAAANSUhEUgAAA0YAAALUCAYAAAAv/SLkAAAMTmlDQ1BJQ0Mg/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10InvceTst2_INVLine_Json_A2.pdf\",\n              \"mime_code\": \"application/pdf\",\n              \"encoding\": \"base64\",\n              \"content\": \"JVBERi0xLjQKJaqrrK0KMSAwIG9iago8PAovVGl0bGUgKFBERiBQcmVzZW50Y/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10InvoiceTestXML_INVLine_Json_A2.xml\",\n              \"mime_code\": \"text/xml\",\n              \"encoding\": \"base64\",\n              \"content\": \"PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiIHN0YW5kYWxv/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10InvoiceTestExcel_INVLine_Json_A2.xlsx\",\n              \"mime_code\": \"application/vnd.ms-excel\",\n              \"encoding\": \"base64\",\n              \"content\": \"UEsDBBQABgAIAAAAIQCpD2g4fwEAAAIFAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10InvoiceTestdoc_INVLine_Json_A2.docx\",\n              \"mime_code\": \"application/vnd.openxmlformats-officedocument.wordprocessingml.document\",\n              \"encoding\": \"base64\",\n              \"content\": \"UEsDBBQABgAIAAAAIQDnIQddcAEAANcFAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10_InvoiceLinePPT_Json_A2.pptx\",\n              \"mime_code\": \"application/vnd.ms-powerpoint\",\n              \"encoding\": \"base64\",\n              \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZX/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"10_InvoiceLineRichText_Json_A2.rtf\",\n              \"mime_code\": \"application/rtf\",\n              \"encoding\": \"base64\",\n              \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYX/Base64EncodingIntentionallyTruncated\"\n            }\n          ],\n          \"tax_details\": [\n            {\n              \"tax_type\": \"IGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"3.4\"\n            },\n            {\n              \"tax_type\": \"GST\",\n              \"tax_amount\": \"3.9\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"VAT\",\n              \"tax_amount\": \"2\",\n              \"tax_rate\": \"4\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO\",\n          \"purchase_order_line\": \"00045310041\",\n          \"po_line_description\": \"Yeti microphone - black\",\n          \"line_description\": \"Testing ERP POL\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00-\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00001\",\n          \"gl_account\": \"141150\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"IGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"3.4\"\n            },\n            {\n              \"tax_type\": \"GST\",\n              \"tax_amount\": \"3.9\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"VAT\",\n              \"tax_amount\": \"2\",\n              \"tax_rate\": \"4\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO_Attach3\",\n          \"purchase_order_line\": \"00045310042\",\n          \"po_line_description\": \"Pv-3310 photo tripod w/3-way pan\",\n          \"line_description\": \"Date Formate Test\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"100.00\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00002\",\n          \"gl_account\": \"100005\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"IGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"3.2\"\n            },\n            {\n              \"tax_type\": \"Withholding tax\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"4\"\n            },\n            {\n              \"tax_type\": \"VAT\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"3\"\n            }\n          ],\n          \"attachments\": [\n            {\n              \"file_name\": \"InvoiceLinePPT.pptx\",\n              \"mime_code\": \"application/vnd.ms-powerpoint\",\n              \"encoding\": \"base64\",\n              \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXN/Base64EncodingIntentionallyTruncated\"\n            },\n            {\n              \"file_name\": \"InvoiceLineRichText.rtf\",\n              \"mime_code\": \"application/rtf\",\n              \"encoding\": \"base64\",\n              \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYX/Base64EncodingIntentionallyTruncated\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO-01\",\n          \"purchase_order_line\": \"00045310042\",\n          \"po_line_description\": \"Yeti microphone - black\",\n          \"line_description\": \"\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"100.00\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00005\",\n          \"gl_account\": \"141101\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"SGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"3.1\"\n            },\n            {\n              \"tax_type\": \"GST\",\n              \"tax_amount\": \"3.8\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"CGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"1.2\"\n            }\n          ]\n        }\n      ]\n    },\n    {\n      \"invoice_type\": \"\",\n      \"supplier_invoice_number\": \"LineLevelTax_Attach3\",\n      \"external_invoice_number\": \"EXT-INV-noerp-PO-line_attach3\",\n      \"purchase_order\": \"\",\n      \"supplier\": \"880733\",\n      \"date_format\": \"mm-dd-yyyy\",\n      \"invoice_date\": \"09-05-2021\",\n      \"payment_terms\": \"NET 30\",\n      \"legal_entity\": \"1100.\",\n      \"subtotal\": \"100\",\n      \"shipping_amount\": \"30.00\",\n      \"other_charges\": \"20.00\",\n      \"discounts\": \"10.00-\",\n      \"amount_invoiced\": \"140.00\",\n      \"currency\": \"USD\",\n      \"invoice_line_count\": \"1\",\n      \"ship_to_city\": \"New York\",\n      \"ship_to_country\": \"USA\",\n      \"ship_to_state_or_province\": \"NY\",\n      \"ship_to_street\": \"123 Main St\",\n      \"ship_to_zip_or_postal_code\": \"10001\",\n      \"ship_from_city\": \"Los Angeles\",\n      \"ship_from_country\": \"USA\",\n      \"ship_from_state_or_province\": \"CA\",\n      \"ship_from_street\": \"456 Oak Ave\",\n      \"ship_from_zip_or_postal_code\": \"90001\",\n      \"remit_address\": \"789 Elm St, Suite 200\",\n      \"remit_to_city\": \"Chicago\",\n      \"remit_to_country\": \"USA\",\n      \"remit_to_state_or_province\": \"IL\",\n      \"remit_to_zip_or_postal_code\": \"60601\",\n      \"supplier_tax_id\": \"12340009\",\n      \"invoice_copy_attachment\": [\n        {\n          \"file_name\": \"InvoicePPT.pptx\",\n          \"mime_code\": \"application/vnd.ms-powerpoint\",\n          \"encoding\": \"base64\",\n          \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXNdLnh/Base64EncodingIntentionallyTruncated\"\n        },\n        {\n          \"file_name\": \"InvoiceRichText.rtf\",\n          \"mime_code\": \"application/rtf\",\n          \"encoding\": \"base64\",\n          \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRleH/Base64EncodingIntentionallyTruncated\"\n        }\n      ],\n      \"invoice_lines\": [\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO-3\",\n          \"purchase_order_line\": \"00045310041\",\n          \"po_line_description\": \"Yeti microphone - black\",\n          \"line_description\": \"Testing ERP POL\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00005\",\n          \"gl_account\": \"120040\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"IGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"6\"\n            },\n            {\n              \"tax_type\": \"GST\",\n              \"tax_amount\": \"7\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"Sales tax\",\n              \"tax_amount\": \"8\",\n              \"tax_rate\": \"8\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO-3\",\n          \"purchase_order_line\": \"00045310042\",\n          \"po_line_description\": \"Pv-3310 photo tripod w/3-way pan\",\n          \"line_description\": \"Date Formate Test\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"200.00\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00001\",\n          \"gl_account\": \"141250\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"CGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"4.1\"\n            },\n            {\n              \"tax_type\": \"SGST\",\n              \"tax_amount\": \"4.4\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"VAT\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"4.3\"\n            }\n          ]\n        },\n        {\n          \"external_invoice_number\": \"EXT-INV-noerp-PO-3\",\n          \"purchase_order_line\": \"00045310042\",\n          \"po_line_description\": \"Yeti microphone - black\",\n          \"line_description\": \"\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"100.00\",\n          \"line_amount_invoiced\": \"97.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00007\",\n          \"gl_account\": \"141300\",\n          \"tax_code\": \"A0 - Sales tax, standard rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"uom\": \"Hours\",\n          \"tax_details\": [\n            {\n              \"tax_type\": \"IGST\",\n              \"tax_amount\": \"\",\n              \"tax_rate\": \"2.4\"\n            },\n            {\n              \"tax_type\": \"Withholding tax\",\n              \"tax_amount\": \"5.5\",\n              \"tax_rate\": \"\"\n            },\n            {\n              \"tax_type\": \"VAT\",\n              \"tax_amount\": \"2.6\",\n              \"tax_rate\": \"\"\n            }\n          ]\n        }\n      ]\n    },\n    {\n      \"invoice_type\": \"credit_memo\",\n      \"supplier_invoice_number\": \"EXT-INV-erp-po_AttachLine\",\n      \"external_invoice_number\": \"EXT-INV-erp-po_AttachLine\",\n      \"original_invoice\": \"INV0001013\",\n      \"supplier\": \"\",\n      \"business_owner\": \"lara.croft@example.com\",\n      \"purchase_order\": \"0004889699\",\n      \"invoice_date\": \"09/13/2024\",\n      \"payment_terms\": \"Net 30\",\n      \"legal_entity\": \"AUS\",\n      \"subtotal\": \"150.00\",\n      \"shipping_amount\": \"30.00\",\n      \"other_charges\": \"20.00\",\n      \"discounts\": \"00.00\",\n      \"amount_invoiced\": \"200.00\",\n      \"currency\": \"USD\",\n      \"invoice_line_count\": \"10\",\n      \"ship_to_city\": \"New York\",\n      \"ship_to_country\": \"USA\",\n      \"ship_to_state_or_province\": \"NY\",\n      \"ship_to_street\": \"123 Main St\",\n      \"ship_to_zip_or_postal_code\": \"10001\",\n      \"ship_from_city\": \"Los Angeles\",\n      \"ship_from_country\": \"USA\",\n      \"ship_from_state_or_province\": \"CA\",\n      \"ship_from_street\": \"456 Oak Ave\",\n      \"ship_from_zip_or_postal_code\": \"90001\",\n      \"remit_address\": \"789 Elm St, Suite 200\",\n      \"remit_to_city\": \"Chicago\",\n      \"remit_to_country\": \"USA\",\n      \"remit_to_state_or_province\": \"IL\",\n      \"remit_to_zip_or_postal_code\": \"60601\",\n      \"supplier_tax_id\": \"123456789\",\n      \"tax_details\": [\n        {\n          \"tax_type\": \"CGST\",\n          \"tax_amount\": \"15\",\n          \"tax_rate\": \"\"\n        },\n        {\n          \"tax_type\": \"Sales tax\",\n          \"tax_amount\": \"\",\n          \"tax_rate\": \"10\"\n        },\n        {\n          \"tax_type\": \"SGST\",\n          \"tax_amount\": \"10\",\n          \"tax_rate\": \"\"\n        }\n      ],\n      \"invoice_lines\": [\n        {\n          \"external_invoice_number\": \"EXT-INV-erp-po_AttachLine\",\n          \"line_description\": \"POL ERP number Attachment on line only\",\n          \"po_line_description\": \"\",\n          \"purchase_order_line\": \"00048896991\",\n          \"line_quantity\": \"5\",\n          \"line_unit_price\": \"20.00\",\n          \"subtotal\": \"100.00\",\n          \"line_amount_invoiced\": \"118.00\",\n          \"currency\": \"USD\",\n          \"cost_center\": \"ACN00004\",\n          \"gl_account\": \"436000\",\n          \"tax_code\": \"A1 - Sales tax, reduced rate\",\n          \"ship_to_city\": \"New York\",\n          \"ship_to_country\": \"USA\",\n          \"ship_to_state_or_province\": \"NY\",\n          \"ship_to_street\": \"123 Main St\",\n          \"ship_to_zip_or_postal_code\": \"10001\",\n          \"supplier_part_number\": \"SPN-001\",\n          \"attachments\": [\n            {\n              \"file_name\": \"InvoiceLinePPT.pptx\",\n              \"mime_code\": \"application/vnd.ms-powerpoint\",\n              \"encoding\": \"base64\",\n              \"content\": \"UEsDBBQABgAIAAAAIQAPBpW0tQEAAHgMAAATAAgCW0NvbnRlbnRfVHlwZXN/Base64EncodingIntentionallyTruncated\"\"\n            },\n            {\n              \"file_name\": \"InvoiceLineRichText.rtf\",\n              \"mime_code\": \"application/rtf\",\n              \"encoding\": \"base64\",\n              \"content\": \"e1xydGYxXGFuc2lcYW5zaWNwZzEyNTJcY29jb2FydGYyODIyClxjb2NvYXRl/Base64EncodingIntentionallyTruncated\"\n          ],\n          \"uom\": \"Hours\"\n        }\n      ]\n    }\n  ],\n  \"target_erp\": \"\"\n}'\n```\n\nThe following result shows that the request is successful and the invoice data is processing. You can view the status of the request in the Invoice integration log \\[sn\\_spend\\_intg\\_invoice\\_integration\\_log\\] table. Use the batch ID listed in the Batch ID column to find the invoice.\n\n```\n{\n    \"batchId\": \"APIINV1729711710733280\",\n    \"status\": \"Success\",\n    \"message\": \"Your request has been successfully received and is being processed.\"\n}\n```\n\n## AP Invoice – POST /sn\\_spend\\_intg/ap\\_invoice/xml\n\nProcesses an automated invoice in XML format.\n\nUse the Invoice integration field mappings \\[sn\\_spend\\_intg\\_invoice\\_intg\\_field\\_mapping\\] table to determine how the fields are mapped to XML tags.\n\nYou can define custom invoice fields for the request body. Use the following flow to add custom fields, map them to target tables, and format them for availability in the payload:\n\n1.  [Add custom fields for invoice import](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/apInvoice-dev-guide.md)\n2.  [Map custom fields between source an
[...]
